import 'package:flutter/material.dart';
import 'package:flutter_chat_types_advn/flutter_chat_types.dart';

String convertEnumCallString({StatusCall? status}) {
  switch (status) {
    case StatusCall.actionCallIncoming:
      return 'actionCallIncoming';
    case StatusCall.actionCallStart:
      return 'actionCallStart';
    case StatusCall.actionCallAccept:
      return 'actionCallAccept';
    case StatusCall.actionCallDecline:
      return 'actionCallDecline';
    case StatusCall.actionCallEnd:
      return 'actionCallEnd';
    case StatusCall.actionCallTimeout:
      return 'actionCallTimeout';
    case StatusCall.actionCallFailed:
      return 'actionCallFailed';
    case StatusCall.actionCallError:
      return 'actionCallError';
    default:
      return 'actionCallIncoming';
  }
}

class StatusHelper {
  static String getImageTypeCall({String? status, String? type}) {
    switch (status) {
      case 'actionCallIncoming':
        if (type == 'video') {
          return 'assets/images/ic_phone_start_green_video.png';
        } else {
          return 'assets/images/ic_phone_start_green_audio.png';
        }
      case 'actionCallStart':
        if (type == 'video') {
          return 'assets/images/ic_phone_start_green_video.png';
        } else {
          return 'assets/images/ic_phone_start_green_audio.png';
        }
      case 'actionCallAccept':
        if (type == 'video') {
          return 'assets/images/ic_phone_accept_green_video.png';
        } else {
          return 'assets/images/ic_phone_accept_green_audio.png';
        }
      case 'actionCallDecline':
        if (type == 'video') {
          return 'assets/images/ic_phone_decline_green_video.png';
        } else {
          return 'assets/images/ic_phone_decline_green_audio.png';
        }
      case 'actionCallEnd':
        if (type == 'video') {
          return 'assets/images/ic_phone_accept_green_video.png';
        } else {
          return 'assets/images/ic_phone_accept_green_audio.png';
        }
      case 'actionCallTimeout':
        if (type == 'video') {
          return 'assets/images/ic_phone_decline_red_video.png';
        } else {
          return 'assets/images/ic_phone_decline_red_audio.png';
        }
      case 'actionCallFailed':
        if (type == 'video') {
          return 'assets/images/ic_phone_decline_red_video.png';
        } else {
          return 'assets/images/ic_phone_decline_red_audio.png';
        }
      case 'actionCallError':
        if (type == 'video') {
          return 'assets/images/ic_phone_decline_red_video.png';
        } else {
          return 'assets/images/ic_phone_decline_red_audio.png';
        }
      default:
        if (type == 'video') {
          return 'assets/images/ic_phone_start_green_video.png';
        } else {
          return 'assets/images/ic_phone_start_green_audio.png';
        }
    }
  }

  static Color getColorCall({String? status}) {
    switch (status) {
      case 'actionCallIncoming':
        return Colors.green;
      case 'actionCallStart':
        return Colors.green;
      case 'actionCallAccept':
      case 'actionCallEnd':
        return Colors.green;
      case 'actionCallDecline':
      case 'actionCallTimeout':
      case 'actionCallError':
      case 'actionCallFailed':
        return Colors.red;
      default:
        return Colors.black87;
    }
  }
}
